diff --git a/autotest-checkers.sh b/autotest-checkers.sh
index 0bdd69510c69271449ca95786637d34a72c309e2..f1b231d6200c3947e5a54670a4919803f660b7de 100755
--- a/autotest-checkers.sh
+++ b/autotest-checkers.sh
@@ -8,6 +8,8 @@ php ./build/translation-checker.php
 RESULT=$(($RESULT+$?))
 php ./build/htaccess-checker.php
 RESULT=$(($RESULT+$?))
+bash ./build/ca-bundle-checker.sh
+RESULT=$(($RESULT+$?))
 
 
 for app in $(find "apps/" -mindepth 1 -maxdepth 1 -type d -exec basename {} \;); do
diff --git a/build/ca-bundle-checker.sh b/build/ca-bundle-checker.sh
new file mode 100755
index 0000000000000000000000000000000000000000..8c8528c23433edd1bc84ffb39a2ca7ffee0fdcd1
--- /dev/null
+++ b/build/ca-bundle-checker.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+echo
+if [[ -n ${DRONE_COMMIT_REFSPEC} &&  ! ${DRONE_COMMIT_REFSPEC} =~ version\/noid\/.+ ]]; then
+    echo "Skip CA bundle check"
+    exit 0
+fi
+
+echo "Fetching latest ca-bundle.crt ..."
+curl -o resources/config/ca-bundle.crt https://curl.haxx.se/ca/cacert.pem
+
+echo
+outdated=$(git diff --name-only | grep "resources/config/ca-bundle.crt")
+if [ "${outdated}" = "resources/config/ca-bundle.crt" ]; then
+    echo "CA bundle is not up to date."
+    echo "Please run: bash build/ca-bundle-checker.sh"
+    echo "And commit the result"
+    exit 1
+fi
+
+echo "CA bundle is up to date."
+exit 0